| # Gaudi Framework, version v20r3
Generated: 24 Nov 2008

# Rndm::BreitWignerCutOff Class Reference

`#include <RndmGenerators.h>`

Inheritance diagram for Rndm::BreitWignerCutOff:

[legend]
Collaboration diagram for Rndm::BreitWignerCutOff:

[legend]

List of all members.

## Detailed Description

Parameters for the BreitWigner distributed random number generation with cut off;.

Definition at line 140 of file RndmGenerators.h.

## Public Member Functions
| BreitWignerCutOff (double m, double g, double c)
| Standard Constructor.
virtual | ~BreitWignerCutOff ()
| Standard Destructor.
double | mean () const
| Access mean value of the distribution.
double | gamma () const
| Access width of the distribution.
double | cutOff () const
| Access width of the distribution.
virtual IRndmGen::Param * | clone () const
| Clone parameters.
## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory.
## Protected Attributes
double | m_mean
| Mean, Gamma and cut off parameter of the Breit-Wigner distribution.
double | m_gamma
double | m_cut
## Friends
class | Generator< BreitWignerCutOff >

## Constructor & Destructor Documentation

Rndm::BreitWignerCutOff::BreitWignerCutOff | ( | double | m,
|  | double | g,
|  | double | c |
| ) |  |  | `[inline]`

Standard Constructor.

Definition at line 147 of file RndmGenerators.h.

    00148     : IRndmGen::Param(IID_IRndmBreitWignerCutOff),
    00149       m_mean(m),
    00150       m_gamma(g),
    00151       m_cut(c) {  }

virtual Rndm::BreitWignerCutOff::~BreitWignerCutOff | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 153 of file RndmGenerators.h.

    00153 { }

## Member Function Documentation

double Rndm::BreitWignerCutOff::mean | ( |  | ) | const`[inline]`

Access mean value of the distribution.

Definition at line 155 of file RndmGenerators.h.

    00155 { return m_mean; }

double Rndm::BreitWignerCutOff::gamma | ( |  | ) | const`[inline]`

Access width of the distribution.

Definition at line 157 of file RndmGenerators.h.

    00157 { return m_gamma; }

double Rndm::BreitWignerCutOff::cutOff | ( |  | ) | const`[inline]`

Access width of the distribution.

Definition at line 159 of file RndmGenerators.h.

    00159 { return m_cut; }

static const InterfaceID& Rndm::BreitWignerCutOff::typeID | ( |  | ) | `[inline, static]`

Identifier for factory.

Definition at line 161 of file RndmGenerators.h.

    00161 { return IID_IRndmBreitWignerCutOff;}

virtual IRndmGen::Param* Rndm::BreitWignerCutOff::clone | ( | void |  | ) | const`[inline, virtual]`

Clone parameters.

Implements IRndmGen::Param.

Definition at line 163 of file RndmGenerators.h.

    00163                                          {
    00164       return new BreitWignerCutOff(m_mean, m_gamma, m_cut);
    00165     }

## Friends And Related Function Documentation

friend class Generator< BreitWignerCutOff >`[friend]`

Definition at line 141 of file RndmGenerators.h.

## Member Data Documentation

double Rndm::BreitWignerCutOff::m_mean`[protected]`

Mean, Gamma and cut off parameter of the Breit-Wigner distribution.

Definition at line 144 of file RndmGenerators.h.

double Rndm::BreitWignerCutOff::m_gamma`[protected]`

Definition at line 144 of file RndmGenerators.h.

double Rndm::BreitWignerCutOff::m_cut`[protected]`

Definition at line 144 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiKernel/GaudiKernel/RndmGenerators.h